image: alpine

stages:
  - build
  - retag
  - test

services:
  - docker:dind

before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

icecast-kh-build:
  image: docker:latest
  stage: build
  script:
    - docker build --build-arg IC_VERSION=2.4.0-kh16 --build-arg EXTRACT_CMD="tar xfazv" --pull -t "$CI_REGISTRY_IMAGE/icecast-kh:$CI_COMMIT_REF_SLUG" .
    - docker push "$CI_REGISTRY_IMAGE/icecast-kh:$CI_COMMIT_REF_SLUG"
  except:
    - master

icecast-kh-test:
  image: docker:latest
  stage: test
  needs: ["icecast-kh-build"]
  script:
    - docker run "$CI_REGISTRY_IMAGE/icecast-kh:$CI_COMMIT_REF_SLUG" -v
  except:
    - master

icecast-kh:
  image: docker:latest
  stage: retag
  script:
    - docker pull "$CI_REGISTRY_IMAGE/icecast-kh:feature--1-fix"
    - docker tag "$CI_REGISTRY_IMAGE/icecast-kh:feature--1-fix" "$CI_REGISTRY_IMAGE/icecast-kh:2.4.0-kh16"
    - docker push "$CI_REGISTRY_IMAGE/icecast-kh:2.4.0-kh16"
  only:
    - master